## kdevelop-python 5.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(kdevpython)

# write the plugin version to a file
set(KDEVPYTHON_VERSION_MAJOR 5)
set(KDEVPYTHON_VERSION_MINOR 2)
set(KDEVPYTHON_VERSION_PATCH 1)

# KDevplatform dependency version
set( KDEVPLATFORM_VERSION "${KDEVPYTHON_VERSION_MAJOR}.${KDEVPYTHON_VERSION_MINOR}" )

find_package (ECM "5.14.0" REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

include(ECMAddTests)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

include(KDEInstallDirs)
include(KDECMakeSettings)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
endif()

add_definitions( -DTRANSLATION_DOMAIN=\"kdevpython\" )

# CMake looks for exactly the specified version first and ignores newer versions.
# To avoid that, start looking for the newest supported version and work down.
set(Python_ADDITIONAL_VERSIONS 3.6 3.5 3.4)
foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
    find_package(PythonInterp ${_PYTHON_V})
    if ( PYTHONINTERP_FOUND )
        break()
    endif()
endforeach()
# Must unset before searching for libs, otherwise these are checked before the required version...
unset(Python_ADDITIONAL_VERSIONS)

if ( PYTHONINTERP_FOUND AND PYTHON_VERSION_STRING VERSION_GREATER "3.4" )
    # Find libraries that match the found interpreter (mismatched versions not supported).
    # This assumes libs are available for the newest Python version on the system.
    # KDevelop should _always_ be built against the newest possible version, so notabug.
    find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED EXACT)
endif()

if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
    message(FATAL_ERROR "Python >= 3.4.3 but < 3.7 with --enable-shared is required to build kdev-python")
endif()

configure_file( "${kdevpython_SOURCE_DIR}/kdevpythonversion.h.cmake" "${kdevpython_BINARY_DIR}/kdevpythonversion.h" @ONLY )

set(QT_MIN_VERSION "5.5.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
set(KF5_DEP_VERSION "5.15.0")
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED I18n NewStuff ItemModels ThreadWeaver TextEditor KCMUtils)
find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
find_package(KDevelop ${KDEVPLATFORM_VERSION} REQUIRED)

enable_testing()

if ( NOT WIN32 )
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wfatal-errors -Wall")
endif ( NOT WIN32 )

# then, build the plugin
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/duchain
    ${CMAKE_CURRENT_SOURCE_DIR}/parser
    ${CMAKE_CURRENT_BINARY_DIR}/parser
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(codecompletion)
add_subdirectory(debugger)
add_subdirectory(docfilekcm)

set(kdevpythonlanguagesupport_PART_SRCS
    codegen/correctionfilegenerator.cpp
    codegen/refactoring.cpp
    pythonlanguagesupport.cpp
    pythonparsejob.cpp
    pythonhighlighting.cpp
    pythonstylechecking.cpp

    # config pages:
    docfilekcm/docfilewizard.cpp
    docfilekcm/docfilemanagerwidget.cpp
    docfilekcm/kcm_docfiles.cpp
    pep8kcm/kcm_pep8.cpp
    projectconfig/projectconfigpage.cpp
)
ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
    HEADER codegendebug.h
    IDENTIFIER KDEV_PYTHON_CODEGEN
    CATEGORY_NAME "kdevelop.languages.python.codegen"
)
ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
    HEADER pythondebug.h
    IDENTIFIER KDEV_PYTHON
    CATEGORY_NAME "kdevelop.languages.python"
)

ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
    codegen/correctionwidget.ui
    projectconfig/projectconfig.ui
    pep8kcm/pep8.ui
)

kdevplatform_add_plugin(kdevpythonlanguagesupport JSON kdevpythonsupport.json SOURCES ${kdevpythonlanguagesupport_PART_SRCS})

target_link_libraries(kdevpythonlanguagesupport
    KDev::Interfaces
    KDev::Language
    KDev::Util
    KF5::ThreadWeaver
    KF5::TextEditor
    KF5::NewStuff
    kdevpythoncompletion
    kdevpythonparser
    kdevpythonduchain
)

get_target_property(DEFINESANDINCLUDES_INCLUDE_DIRS KDev::DefinesAndIncludesManager INTERFACE_INCLUDE_DIRECTORIES)
include_directories(${DEFINESANDINCLUDES_INCLUDE_DIRS})

install(DIRECTORY documentation_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
install(DIRECTORY correction_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
install(FILES codestyle.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)

# kdebugsettings file
install(FILES kdevpythonsupport.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== codecompletion/CMakeLists.txt ===
set(completion_SRCS
    context.cpp 
    model.cpp
    worker.cpp
    helpers.cpp

    items/missingincludeitem.cpp
    items/declaration.cpp
    items/functiondeclaration.cpp
    items/implementfunction.cpp
    items/importfile.cpp
    items/keyword.cpp
    items/replacementvariable.cpp
)
ecm_qt_declare_logging_category(completion_SRCS
    HEADER codecompletiondebug.h
    IDENTIFIER KDEV_PYTHON_CODECOMPLETION
    CATEGORY_NAME "kdevelop.languages.python.codecompletion"
)

add_library(kdevpythoncompletion SHARED ${completion_SRCS})

generate_export_header(kdevpythoncompletion EXPORT_MACRO_NAME KDEVPYTHONCOMPLETION_EXPORT
                                             EXPORT_FILE_NAME pythoncompletionexport.h
)

add_dependencies(kdevpythoncompletion
    kdevpythonparser 
    kdevpythonduchain
)

target_link_libraries(kdevpythoncompletion LINK_PRIVATE
    KDev::Language
    KDev::Interfaces
    KDev::Project
    kdevpythonduchain
    kdevpythonparser
)

install(TARGETS kdevpythoncompletion DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== debugger/CMakeLists.txt ===
set(kdevpdb_PART_SRCS
    breakpointcontroller.cpp
    variable.cpp
    variablecontroller.cpp
    pdbframestackmodel.cpp
    pdblauncher.cpp
    debugjob.cpp
    debugsession.cpp
    pdbdebuggerplugin.cpp
)
ecm_qt_declare_logging_category(kdevpdb_PART_SRCS
    HEADER debuggerdebug.h
    IDENTIFIER KDEV_PYTHON_DEBUGGER
    CATEGORY_NAME "kdevelop.languages.python.debugger"
)

kdevplatform_add_plugin(kdevpdb JSON kdevpdb.json SOURCES ${kdevpdb_PART_SRCS})

generate_export_header(kdevpdb EXPORT_MACRO_NAME KDEVPYTHONDEBUG_EXPORT)

target_link_libraries(kdevpdb
    kdevpythonparser
    KDev::Interfaces
    KDev::Language
    KDev::Debugger
    KDev::OutputView
    KDev::Project    
    KDev::Util
    KF5::TextEditor
)

install(FILES __kdevpython_debugger_utils.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/debugger)
install(FILES kdevpdb.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/debugger)

=== docfilekcm/CMakeLists.txt ===

install(FILES ../documentation_src/introspection/introspect.py
        DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/scripts)

=== duchain/CMakeLists.txt ===
set(duchain_SRCS
    declarations/functiondeclaration.cpp

    types/nonetype.cpp
    types/hintedtype.cpp
    types/unsuretype.cpp
    types/indexedcontainer.cpp

    expressionvisitor.cpp
    helpers.cpp
    pythonducontext.cpp
    contextbuilder.cpp
    pythoneditorintegrator.cpp
    declarationbuilder.cpp
    usebuilder.cpp
    dumpchain.cpp

    navigation/navigationwidget.cpp
    navigation/declarationnavigationcontext.cpp

    correctionhelper.cpp

    assistants/missingincludeassistant.cpp
    ../docfilekcm/docfilewizard.cpp # for the docfile generation assistant widget, to be used in the problem resolver
)

ecm_qt_declare_logging_category(duchain_SRCS
    HEADER duchaindebug.h
    IDENTIFIER KDEV_PYTHON_DUCHAIN
    CATEGORY_NAME "kdevelop.languages.python.duchain"
)

add_library( kdevpythonduchain SHARED ${duchain_SRCS} )

generate_export_header( kdevpythonduchain EXPORT_MACRO_NAME KDEVPYTHONDUCHAIN_EXPORT
                                           EXPORT_FILE_NAME pythonduchainexport.h
)

target_link_libraries( kdevpythonduchain LINK_PRIVATE
    KF5::TextEditor
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::Util
    kdevpythonparser
)

install(TARGETS kdevpythonduchain DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})


add_subdirectory(navigation)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

add_subdirectory(types)
add_subdirectory(declarations)

add_subdirectory(assistants)

=== parser/CMakeLists.txt ===
set(parser_STAT_SRCS
    codehelpers.cpp
    parsesession.cpp
    ast.cpp
    astdefaultvisitor.cpp
    astvisitor.cpp
    astbuilder.cpp
    cythonsyntaxremover.cpp
    rangefixvisitor.cpp
)
ecm_qt_declare_logging_category(parser_STAT_SRCS
    HEADER parserdebug.h
    IDENTIFIER KDEV_PYTHON_PARSER
    CATEGORY_NAME "kdevelop.languages.python.parser"
)

include_directories(${PYTHON_INCLUDE_DIRS})

add_library( kdevpythonparser SHARED ${parser_STAT_SRCS} )

generate_export_header(kdevpythonparser EXPORT_MACRO_NAME KDEVPYTHONPARSER_EXPORT
                                        EXPORT_FILE_NAME parserexport.h)

target_link_libraries(kdevpythonparser LINK_PRIVATE
    KDev::Language
    Qt5::Core
    ${PYTHON_LIBRARIES}
)

install(TARGETS kdevpythonparser DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

## kdevelop-python 1.5.0

=== debian/changelog ===
kdevelop-python (1.5.0-0~precise1) precise; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Fri, 10 May 2013 11:00:31 +0100

kdevelop-python (1.4.1+git20130324-0~precise2) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Sun, 24 Mar 2013 02:31:15 +0000

kdevelop-python (1.4.1+git20130312-0~precise1) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Tue, 12 Mar 2013 16:56:51 +0000

kdevelop-python (1.4.1+git20130206-0~precise1) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Wed, 06 Feb 2013 17:51:07 +0000

kdevelop-python (1.4.1+git20130126-0~precise1) precise; urgency=low

  * New git, build against new kdevplatform
  * Rename package

 -- falkTX <falktx@gmail.com>  Sat, 26 Jan 2013 18:59:22 +0000

kdev-python (1.4.1+git20130122-0~precise2) precise; urgency=low

  * Update to latest git

 -- falkTX <falktx@gmail.com>  Tue, 22 Jan 2013 17:56:50 +0000

kdev-python (1.4.1-0~precise1) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Tue, 15 May 2012 01:49:53 +0100

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: extra
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 7), cmake, python-all-dev, python3-all-dev,
  kdevelop-pg-qt (>= 1.0.0),
  kdevplatform-dev (>= 1.5.0),
  pkg-kde-tools (>= 0.6.4),
  libqtwebkit-dev
Standards-Version: 3.8.4

Package: kdevelop-python
Architecture: any
Depends: kdevelop, ${misc:Depends}, ${shlibs:Depends}
Enhances: kdevelop
Description: Python plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python language support plugin.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_auto_build:
	dh_auto_build
	$(MAKE) parser

override_dh_auto_clean:
	dh_auto_clean

	find $(CURDIR) -name \*.o -delete
	find $(CURDIR) -name \*.pyc -delete

	rm -f $(CURDIR)/python-src/config.log
	rm -f $(CURDIR)/python-src/config.status
	rm -f $(CURDIR)/python-src/pyconfig.h
	rm -f $(CURDIR)/python-src/python
	rm -f $(CURDIR)/python-src/libpython2.7-kdevelop.*
	rm -f $(CURDIR)/python-src/Makefile
	rm -f $(CURDIR)/python-src/Makefile.pre
	rm -f $(CURDIR)/python-src/Misc/python.pc
	rm -f $(CURDIR)/python-src/Modules/config.c
	rm -f $(CURDIR)/python-src/Modules/ld_so_aix
	rm -f $(CURDIR)/python-src/Modules/Setup
	rm -f $(CURDIR)/python-src/Modules/Setup.config
	rm -f $(CURDIR)/python-src/Modules/Setup.local
	rm -f $(CURDIR)/python-src/Parser/pgen

%:
	dh $@ --parallel --list-missing --with kde

.PHONY: override_dh_auto_test

## kdevelop-python 1.7.0

=== debian/changelog ===
kdevelop-python (1.7.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  [ Andreas Cord-Landwehr ]
  * Initial release (Closes: #718296)

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 23:59:35 +0200

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdevplatform-dev (>= 1.7.0),
               pkg-kde-tools (>= 0.6.4),
               python3-dev (>= 3.4),
Standards-Version: 3.9.5
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-python.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-python.git

Package: kdevelop-python
Architecture: any
Depends: kdevelop (>= 4:4.7.0), python3 (>= 3.4),
 ${misc:Depends}, ${shlibs:Depends}
Suggests: kdevelop-python-l10n
Enhances: kdevelop
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, kdevelop-python (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the KDevelop Python 3 plugin
 This package contains the debugging symbols of the Python plugin for KDevelop.
 They will automatically be used by gdb for debugging issues with the Python 3
 plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=kdevelop-python-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)-py3.tar.xz

## kdevelop-python 1.7.2

=== debian/changelog ===
kdevelop-python (1.7.2-2b1) staging; urgency=medium

  * No-change rebuild for Python 3.4 removal.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Sat, 01 Oct 2016 18:27:05 +0200

kdevelop-python (1.7.2-2) unstable; urgency=medium

  * Backport upstream commit b54654be20cfd52cf121784f8a5dd6e77bc4767b to fix
    detection of the Python library on archs different than amd64 & i386;
    patch upstream_cmake-use-CMAKE_LIBRARY_ARCHITECTURE.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Jan 2016 08:27:27 +0100

kdevelop-python (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Explicitly use python3.4(-dev): kdev-python seems to require this
    particular version, so use it as stop-gap measure to make this plugin
    buildable and usable again. (Closes: #810750)
  * Backport upstream commit 673a4890fd3becfab22c1e9eda2071dafd08a161 to fix
    the macro of the Python executable; patch
    upstream_fix-cmake-macro-name-of-python-executable.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 23:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
-               kdevplatform-dev (>= 1.7.0),
+               kdevplatform-dev (>= 1.7.2),
                pkg-kde-tools (>= 0.6.4),
-               python3-dev (>= 3.4),
-Standards-Version: 3.9.5
+               python3.4-dev,
+Standards-Version: 3.9.6
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-python.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:4.7.0), python3 (>= 3.4),
+Depends: kdevelop (>= 4:4.7.0), python3.4,
  ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop

=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)-py3.tar.xz

## kdevelop-python 5.0.3

=== debian/changelog ===
kdevelop-python (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump releated build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 17:46:06 -0300

kdevelop-python (5.0.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing epoch in the kdevelop-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:09:23 +0200

kdevelop-python (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump the kdevplatform-dev, and kdevelop-dev build dependencies to >= 5.0.1.
  * Bump kdevelop dependency in kdevelop-python to >= 5.0.1.
  * Recommend pycodestyle, and python-autopep8, as they can be used for
    checking and fixing Python sources.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 07:38:22 +0200

kdevelop-python (5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - add extra-cmake-modules, qtbase5-dev, libkf5i18n-dev,
      libkf5itemmodels-dev, libkf5kcmutils-dev, libkf5newstuff-dev,
      libkf5texteditor-dev, and libkf5threadweaver-dev
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevplatform-dev to >= 5.0
  * Update the Python (build) dependencies according to the new supported
    version: (Closes: #820186)
    - switch the python3.4-dev build dependency to python3.5-dev
    - switch the python3.4 dependency to python3.5
  * Add the kdevelop-dev build dependency.
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Disable building of unit tests, as long as they are not run.
  * Bump kdevelop dependency in kdevelop-python to >= 5.0.
  * Update install files.
  * Update lintian overrides.
  * Remove extra COPYING files; the only one currently is just a stub.
  * Split the growing set of data files into a new kdevelop-python-data.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2016 23:14:05 +0200

kdevelop-python (1.7.3-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump kdevplatform-dev build dependency accordingly.
  * Improve debian/watch to search for different compression methods in
    tarballs and to repack the tarball with xz compression if necessary.
  * Remove existing patches, they are already applied upstream.

  [ Pino Toscano ]
  * Remove kdevelop-python-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 23:09:15 +0200

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               qtbase5-dev,
               libkf5i18n-dev,
               libkf5itemmodels-dev,
               libkf5kcmutils-dev,
               libkf5newstuff-dev,
               libkf5texteditor-dev,
               libkf5threadweaver-dev,
               kdevplatform-dev (>= 5.0.3),
               kdevelop-dev (>= 4:5.0.3),
               pkg-kde-tools (>= 0.15.16),
               python3.5-dev,
Standards-Version: 3.9.8
Homepage: http://www.kdevelop.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git

Package: kdevelop-python
Architecture: any
Depends: kdevelop (>= 4:5.0.1), python3.5,
 kdevelop-python-data (>= ${source:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Recommends: pycodestyle, python-autopep8
Suggests: kdevelop-python-l10n
Enhances: kdevelop
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Depends: ${misc:Depends}
Description: Python 3 plugin for KDevelop - data files
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the data files for Python 3 language support plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.

=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)\.tar\.xz

## kdevelop-python 5.0.4

=== debian/changelog ===
kdevelop-python (5.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.0.4)
  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 Mar 2017 09:29:39 +0000

kdevelop-python (5.0.3-0ubuntu1) UNRELEASED; urgency=medium

  * Merged with Debian
  * New upstream release (5.0.1)
  * Update VCS to point to LaunchPad git repo
  * Update Vcs-Git fields to use https:// instead of git://
  * Fixing file paths in install
  * New upstream release (5.0.2)
  * New upstream release (5.0.3)
  * Adding transitional dummy package kdev-python
  * Wild card plugin versions, thanks to kfunk for the idea

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 15 Dec 2016 23:32:54 +0000

kdev-python (1.7.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release.
  * Add conflict to python3 version. 
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 10:05:54 -0800

kdev-python (1.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:07:38 -0700

kdev-python (1.7.0-0ubuntu2) utopic; urgency=medium

  * Add build-depends on python, needed for compile on arm64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 30 Sep 2014 11:10:02 +0200

kdev-python (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 16 Sep 2014 14:07:38 -0700

kdev-python (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 19:04:34 +0100

kdev-python (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1201742)
  * Update copyright 
  * Remove duplicated libpython2.7-kdevelop.so as it's not needed
  * Improve package description

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 11:43:24 +0200

kdev-python (1.5.0-0ubuntu2) saucy; urgency=low

  * Add build-dep on libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 May 2013 17:46:40 +0100

kdev-python (1.5.0-0ubuntu1) saucy; urgency=low

  * Initial release LP: #1176225

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 May 2013 16:54:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,31 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.9),
-               qtbase5-dev,
+               kdevelop-dev (>= 4:5.0.4),
+               kdevplatform-dev (>= 5.0.4),
                libkf5i18n-dev,
                libkf5itemmodels-dev,
                libkf5kcmutils-dev,
                libkf5newstuff-dev,
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
-               kdevplatform-dev (>= 5.0.3),
-               kdevelop-dev (>= 4:5.0.3),
                pkg-kde-tools (>= 0.15.16),
                python3.5-dev,
+               qtbase5-dev
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:5.0.1), python3.5,
- kdevelop-python-data (>= ${source:Version}),
- ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.0.1),
+         kdevelop-python-data (>= ${source:Version}),
+         python3.5,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
 Recommends: pycodestyle, python-autopep8
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop
@@ -41,6 +45,8 @@
 Package: kdevelop-python-data
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
 Description: Python 3 plugin for KDevelop - data files
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -52,8 +58,19 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
 Description: localization files for KDevelop Python 3 plugin
  The KDevelop-Python plugin is the language plugin for the Python 3 language
  for the KDevelop integrated development environment for KDE.
  .
  This  package contains the localizations for the KDevelop Python 3 plugin.
+
+Package: kdev-python
+Architecture: any
+Priority: extra
+Depends: kdevelop-python
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

## kdevelop-python 5.1.2

=== debian/changelog ===
kdevelop-python (5.1.2-1ubuntu1) artful; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 08:07:39 +0100

kdevelop-python (5.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev, kdevelop-dev, and kdevelop build & runtime
    dependencies to 5.1.2.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:15:30 +0200

kdevelop-python (5.1.2-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (5.1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 00:15:31 +0100

kdevelop-python (5.1.1-1ubuntu1) artful; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Jul 2017 22:15:45 +0100

kdevelop-python (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevplatform-dev, kdevelop-dev, and kdevelop build & runtime
    dependencies to 5.1.1.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.5-dev build dependency to python3.6-dev
    - switch the python3.5 dependency to python3.6
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:08:19 +0200

kdevelop-python (5.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 May 2017 14:36:47 +0100

kdevelop-python (5.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 22:36:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.9),
-               kdevelop-dev (>= 4:5.0.4),
-               kdevplatform-dev (>= 5.0.4),
+               kdevelop-dev (>= 4:5.1.2),
+               kdevplatform-dev (>= 5.1.2),
                libkf5i18n-dev,
                libkf5itemmodels-dev,
                libkf5kcmutils-dev,
@@ -16,18 +16,18 @@
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
                pkg-kde-tools (>= 0.15.16),
-               python3.5-dev,
+               python3.6-dev,
                qtbase5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:5.0.1),
+Depends: kdevelop (>= 4:5.1.2),
          kdevelop-python-data (>= ${source:Version}),
-         python3.5,
+         python3.6,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kdev-python (<< 1.7.3)

## kdevelop-python 5.2.1

=== debian/changelog ===
kdevelop-python (5.2.1-1ubuntu1) bionic; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 09:22:55 +0000

kdevelop-python (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.2.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Nov 2017 07:22:55 +0100

kdevelop-python (5.2.0-1ubuntu1) bionic; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Nov 2017 21:23:24 +0000

kdevelop-python (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop the kdevplatform-dev build dependency, following the kdevplatform
    merge in kdevelop.
  * Change other build dependencies according to the upstream build system:
    - bump cmake to >= 3.0
    - bump qtbase-dev to >= 5.5.0
    - bump ECM and Frameworks to >= 5.15.0
  * Update install files.
  * Switch the watch file to https.
  * Switch Homepage to https.
  * Turn the versioned kdevelop dependency into a simple recommend, as it
    should be enough.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:29:29 +0100

kdevelop-python (5.1.80-0ubuntu1) UNRELEASED; urgency=medium

  * Update versions in lib install paths
  * Remove kdevplatform build depend now this is merged into
  * New upstream beta release (5.1.80)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 03 Sep 2017 01:07:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,35 +4,30 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9),
-               kdevelop-dev (>= 4:5.1.2),
-               kdevplatform-dev (>= 5.1.2),
-               libkf5i18n-dev,
-               libkf5itemmodels-dev,
-               libkf5kcmutils-dev,
-               libkf5newstuff-dev,
-               libkf5texteditor-dev,
-               libkf5threadweaver-dev,
+               extra-cmake-modules (>= 5.15.0),
+               qtbase5-dev (>= 5.5.0),
+               libkf5i18n-dev (>= 5.15.0),
+               libkf5itemmodels-dev (>= 5.15.0),
+               libkf5kcmutils-dev (>= 5.15.0),
+               libkf5newstuff-dev (>= 5.15.0),
+               libkf5texteditor-dev (>= 5.15.0),
+               libkf5threadweaver-dev (>= 5.15.0),
+               kdevelop-dev (>= 4:5.2.1),
                pkg-kde-tools (>= 0.15.16),
                python3.6-dev,
-               qtbase5-dev
-Standards-Version: 4.1.0
-Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
+Standards-Version: 4.1.1
+Homepage: https://www.kdevelop.org/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:5.1.2),
-         kdevelop-python-data (>= ${source:Version}),
-         python3.6,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
-Recommends: pycodestyle, python-autopep8
+Depends: python3.6,
+ kdevelop-python-data (>= ${source:Version}),
+ ${misc:Depends}, ${shlibs:Depends}
+Recommends: kdevelop, pycodestyle, python-autopep8
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop
 Description: Python 3 plugin for KDevelop

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='kdevelop-python-dbg (<< 1.7.3-1~)'

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)\.tar\.xz

## kdevelop-python 5.2.4

=== debian/changelog ===
kdevelop-python (5.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.2.4, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.2.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Aug 2018 22:33:18 +0200

kdevelop-python (5.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the kdevelop-dev build dependency to 5.2.3, as indicated by the
    upstream build system.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Update install files.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 22 May 2018 07:51:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.15.0),
                qtbase5-dev (>= 5.5.0),
                libkf5i18n-dev (>= 5.15.0),
@@ -14,13 +14,13 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.2.1),
+               kdevelop-dev (>= 4:5.2.4),
                pkg-kde-tools (>= 0.15.16),
                python3.6-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
@@ -40,8 +40,6 @@
 Package: kdevelop-python-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
 Description: Python 3 plugin for KDevelop - data files
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -53,19 +51,8 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
 Description: localization files for KDevelop Python 3 plugin
  The KDevelop-Python plugin is the language plugin for the Python 3 language
  for the KDevelop integrated development environment for KDE.
  .
  This  package contains the localizations for the KDevelop Python 3 plugin.
-
-Package: kdev-python
-Architecture: any
-Priority: extra
-Depends: kdevelop-python
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.

## kdevelop-python 5.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # write the plugin version to a file
 set(KDEVPYTHON_VERSION_MAJOR 5)
-set(KDEVPYTHON_VERSION_MINOR 2)
+set(KDEVPYTHON_VERSION_MINOR 3)
 set(KDEVPYTHON_VERSION_PATCH 1)
 
 # KDevplatform dependency version
@@ -13,16 +13,24 @@
 set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+
 include(GenerateExportHeader)
-include(CMakePackageConfigHelpers)
 
 include(ECMAddTests)
-include(ECMOptionalAddSubdirectory)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 
-include(KDEInstallDirs)
-include(KDECMakeSettings)
+if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
+    # Avoids bogus warnings with CMake 3.10+
+    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "K_PLUGIN_FACTORY_WITH_JSON")
+endif()
+if(POLICY CMP0071)
+    # Avoids compat messages from CMake 3.10+, with Qt < 5.9.4
+    # See https://bugreports.qt.io/browse/QTBUG-63442
+    cmake_policy(SET CMP0071 OLD)
+endif()
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
@@ -32,7 +40,7 @@
 
 # CMake looks for exactly the specified version first and ignores newer versions.
 # To avoid that, start looking for the newest supported version and work down.
-set(Python_ADDITIONAL_VERSIONS 3.6 3.5 3.4)
+set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5 3.4)
 foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
     find_package(PythonInterp ${_PYTHON_V})
     if ( PYTHONINTERP_FOUND )
@@ -50,19 +58,21 @@
 endif()
 
 if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
-    message(FATAL_ERROR "Python >= 3.4.3 but < 3.7 with --enable-shared is required to build kdev-python")
+    message(FATAL_ERROR "Python >= 3.4.3 but < 3.8 with --enable-shared is required to build kdev-python")
 endif()
 
-configure_file( "${kdevpython_SOURCE_DIR}/kdevpythonversion.h.cmake" "${kdevpython_BINARY_DIR}/kdevpythonversion.h" @ONLY )
+configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)
 
 set(QT_MIN_VERSION "5.5.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
 set(KF5_DEP_VERSION "5.15.0")
-find_package(KF5 ${KF5_DEP_VERSION} REQUIRED I18n NewStuff ItemModels ThreadWeaver TextEditor KCMUtils)
-find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
+find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
+    I18n
+    ThreadWeaver
+    TextEditor
+)
+find_package(KDevPlatform ${KDEVPLATFORM_VERSION} CONFIG REQUIRED)
 find_package(KDevelop ${KDEVPLATFORM_VERSION} REQUIRED)
-
-enable_testing()
 
 if ( NOT WIN32 )
     set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wfatal-errors -Wall")
@@ -102,12 +112,12 @@
 ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
     HEADER codegendebug.h
     IDENTIFIER KDEV_PYTHON_CODEGEN
-    CATEGORY_NAME "kdevelop.languages.python.codegen"
+    CATEGORY_NAME "kdevelop.plugins.python.codegen"
 )
 ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
     HEADER pythondebug.h
     IDENTIFIER KDEV_PYTHON
-    CATEGORY_NAME "kdevelop.languages.python"
+    CATEGORY_NAME "kdevelop.plugins.python"
 )
 
 ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
@@ -124,7 +134,6 @@
     KDev::Util
     KF5::ThreadWeaver
     KF5::TextEditor
-    KF5::NewStuff
     kdevpythoncompletion
     kdevpythonparser
     kdevpythonduchain
@@ -133,9 +142,11 @@
 get_target_property(DEFINESANDINCLUDES_INCLUDE_DIRS KDev::DefinesAndIncludesManager INTERFACE_INCLUDE_DIRECTORIES)
 include_directories(${DEFINESANDINCLUDES_INCLUDE_DIRS})
 
-install(DIRECTORY documentation_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
-install(DIRECTORY correction_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
-install(FILES codestyle.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
+install(DIRECTORY documentation_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
+install(DIRECTORY correction_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
+install(FILES codestyle.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
+
+install(FILES org.kde.kdev-python.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # kdebugsettings file
 install(FILES kdevpythonsupport.categories DESTINATION ${KDE_INSTALL_CONFDIR})

=== debian/changelog ===
kdevelop-python (5.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Replace the python-autopep8 (Python 2) recommend with python3-autopep8
    (Python 3).

 -- Pino Toscano <pino@debian.org>  Thu, 20 Dec 2018 22:40:02 +0100

kdevelop-python (5.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Dec 2018 21:06:16 +0100

kdevelop-python (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.0, as indicated by the
    upstream build system.
  * Update install files.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.6-dev build dependency to python3.7-dev
    - switch the python3.6 dependency to python3.7
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Nov 2018 07:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -14,20 +14,20 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.2.4),
+               kdevelop-dev (>= 4:5.3.1),
                pkg-kde-tools (>= 0.15.16),
-               python3.6-dev,
-Standards-Version: 4.2.0
+               python3.7-dev,
+Standards-Version: 4.2.1
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.6,
+Depends: python3.7,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
-Recommends: kdevelop, pycodestyle, python-autopep8
+Recommends: kdevelop, pycodestyle, python3-autopep8
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop
 Description: Python 3 plugin for KDevelop

## kdevelop-python 5.3.2

=== debian/changelog ===
kdevelop-python (5.3.2-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.3.2).

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 21:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.1),
+               kdevelop-dev (>= 4:5.3.2),
                pkg-kde-tools (>= 0.15.16),
                python3.7-dev,
 Standards-Version: 4.2.1

## kdevelop-python 5.3.3

=== debian/changelog ===
kdevelop-python (5.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.3, as indicated by the
    upstream build system.
  * Switch from --list-missing to --fail-missing for dh_missing; everything is
    installed already.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2019 07:07:11 +0200

kdevelop-python (5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.2, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdevelop-python-dbg, no more needed after two
    Debian stable releases.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 08:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.2),
+               kdevelop-dev (>= 4:5.3.3),
                pkg-kde-tools (>= 0.15.16),
                python3.7-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
